﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using Portal.Models.Supplier;
@using Portal.Models.Part;
@model Toyota.Common.Web.MVC.ModelHolder
@using (Html.BeginForm("PartialLPOPConfirmation", "SupplierInfo", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
<table border="0" cellpadding="2" cellspacing="2">
    <tr>
        <td style="width: 100px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Supplier Code";
                }).GetHtml()
        </td>
        <td style="width: 200px" colspan="2">
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OIHSupplierOption";
                    gridLookup.Width = 150;
                    gridLookup.GridProperties.KeyFieldName = "SupplierCode";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SupplierInfo", Action = "PartialHeaderSupplierLookupGridSupplierInfo" };//"PartialHeaderSupplierLookupGridSupplierInfo" };

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_CODE_PLANT";
                        column.FieldName = "SupplierCode";
                        column.Caption = "Supplier<br /> Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        
                    });
                   
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_NAME";
                        column.FieldName = "SupplierName";
                        column.Caption = "Supplier<br />Name";
                        column.Width = Unit.Pixel(500);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    
                }).Bind(ViewData["GridSupplier"]).GetHtml()
        </td>
    </tr>
    <tr>
        <td style="width: 100px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Part No";
                }).GetHtml()
        </td>
        <td style="width: 200px" colspan="2">
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OIHPartOption";
                    gridLookup.Width = 150;
                    gridLookup.GridProperties.KeyFieldName = "PART_NO";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SupplierInfo", Action = "PartialHeaderPartLookupGridSupplierInfo" };

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "PART_NO";
                        column.FieldName = "PART_NO";
                        column.Caption = "Part<br />No";
                        column.Width = Unit.Pixel(150);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "PART_NAME";
                        column.FieldName = "PART_NAME";
                        column.Caption = "Part<br />Name";
                        column.Width = Unit.Pixel(500);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(ViewData["GridPart"]).GetHtml()
        </td>
    </tr>

    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Upload File";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()   
        </td>
        <td colspan="4">
            @Html.DevExpress().UploadControl(
                upload =>
                {
                    upload.AddButton.Text = "Browse";
                    upload.Name = "SIFileUpload";
                    upload.CallbackRouteValues = new { Controller = "SupplierInfo", Action = "SIFileUpload_CallbackRouteValues" };
                    upload.ClientSideEvents.FileUploadComplete = "OnSIFileUploadComplete";

                    upload.Width = Unit.Percentage(100);

                    upload.ValidationSettings.MaxFileSize = 10000000;
                    upload.ValidationSettings.MaxFileSizeErrorText = "The size of file uploaded larger than allowed";
                    upload.ValidationSettings.AllowedFileExtensions = new String[] { ".xls" };
                    upload.ValidationSettings.ShowErrors = true;

                    upload.CancelButton.Text = "";
                    upload.CancelButtonSpacing = Unit.Pixel(0);
                }).GetHtml()
        </td>
        <td colspan = "4">
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnUpload";
                    button.Text = "Upload";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("padding-left", "5px");
                    button.ClientSideEvents.Click = "OnSIHUploadButtonClick";
                }).GetHtml()
        </td>

    </tr>
    @*<tr>
        <td style="padding-right: 4px; padding-bottom: 8px; vertical-align: middle">
            Upload File
        </td>
        <td>
            @Html.DevExpress().UploadControl(
                setting =>
                {
                    setting.Name = "Browse";
                    setting.AddButton.Text = "Browse";
                    setting.Width = 282;
                }
            ).GetHtml()
        </td>
        <td style="display: inline-block; float: Right">
            @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnUpload";
                    settings.Text = "Upload";
                    settings.UseSubmitBehavior = true;
                }
            ).GetHtml()
        </td>
    </tr>*@
    <tr>
        <td>
        </td>
        <td colspan="4">
            @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Download Template";
                }).GetHtml()
            @Html.DevExpress().HyperLink(
                link =>
                {
                    link.Name = "SIDownloadTemplateLink";
                    link.Properties.Text = "Here";
                    link.Properties.Style.Font.Underline = true;
                    link.Properties.ClientSideEvents.Click = "OnSIHDownloadTemplateLinkClick";
                    link.ControlStyle.Cursor = "pointer";
                    link.ControlStyle.VerticalAlign = VerticalAlign.Top;
                }).GetHtml()
        </td>
    </tr>  
</table>
}
<table cellpadding="0" cellspacing="0" width="100%">
    <tr>
        <td align="left">
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnAdd";
                    button.Text = "New";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "AddSupplierInfo";
                }
            ).GetHtml()
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnDelete";
                    button.Text = "Delete";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "DeleteGrid"; 
                    int auth = Model.GetModel<Toyota.Common.Web.Credential.User>().IsAuthorized("SupplierInfo", "btnDelete");
                    if (auth != -1)
                    {
                        switch (auth)
                        {
                            case 0:
                                button.ClientVisible = false;
                                break;
                            case 1:
                                button.Enabled = false;
                                break;
                            case 2:
                                button.ClientVisible = true;
                                button.Enabled = true;
                                break;
                        }
                    }  
                }
            ).GetHtml()
             @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnDownloadListSupplierInfo";
                    button.Text = "Download";
                    button.Width = Unit.Pixel(100);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "OnDownloadTemplateLinkClick";

                }).GetHtml()  
            @* @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnAdd";
                    settings.Text = "Add";
                    settings.UseSubmitBehavior = true;
                    settings.ClientSideEvents.Click = "function(s, e) { PartialSupplierData.AddNewRow(e.visibleIndex); }";
                    
                }
              ).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnDelete";
                    settings.Text = "Delete";
                    settings.UseSubmitBehavior = true;
                    settings.ClientSideEvents.Click = "DeleteGrid";
                }
              ).GetHtml()
                    </td>*@
        </td>
        <td align="right">
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnSearch";
                    button.Text = "Search";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "SearchData";
                }
            ).GetHtml()
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnClear";
                    button.Text = "Clear";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "ClearItem";
                }
            ).GetHtml()
        </td>

        @*<td align="right">
            @Html.DevExpress().Button(
                            settings =>
                            {
                                settings.Name = "btnSearch";
                                settings.Text = "Search";
                                settings.UseSubmitBehavior = true;
                                settings.Width = 80;
                                settings.ClientSideEvents.Click = "SearchData";
                            }
                        ).GetHtml()
       
            @Html.DevExpress().Button(
                            settings =>
                            {
                                settings.Name = "btnClear";
                                settings.Text = "Clear";
                                settings.UseSubmitBehavior = true;
                                settings.Width = 80;
                                settings.ClientSideEvents.Click = "ClearItem";
                            }
                          ).GetHtml()
        </td>*@
    </tr>
</table>